Bug 864378 - qemu-img convert fails with Floating Point Exception with zero length source image
qemu-img convert fails with Floating Point Exception with zero length source ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Kevin Wolf
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 05:33 EDT by Neil Wilson
Modified: 2013-11-21 00:52 EST (History)
8 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.361.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 00:52:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Wilson 2012-10-09 05:33:26 EDT
Description of problem:

If your raw source image happens to be zero length then qemu-img convert fails with a floating point exception


Version-Release number of selected component (if applicable):

Version     : 0.12.1.2
Release     : 2.295.el6_3.2



How reproducible:


Steps to Reproduce:
1. touch zero-image
2. qemu-img convert zero-image /tmp/fred
  
Actual results:

$ qemu-img convert zero-image /tmp/fred
Floating point exception


Expected results:

qemu-img should copy the zero length file


Additional info:

qemu-img info works fine on a zero length file


$ qemu-img info zero-image 
image: zero-image
file format: raw
virtual size: 0 (0 bytes)
disk size: 0
Comment 1 Neil Wilson 2012-10-09 05:34:37 EDT
Kernel log is:


Oct  9 10:27:05 ps103 kernel: qemu-img[24897] trap divide error ip:7f1b2edd58e6 sp:7fff0f52dfc0 error:0 in qemu-img[7f1b2edcc000+4d000]
Comment 3 Ademar Reis 2012-10-09 09:45:57 EDT
Thank you for taking the time to enter a bug report with us. We appreciate the feedback and look to use reports such as this to guide our efforts at improving our products. That being said, this bug tracking system is not a mechanism for requesting support, and we are not able to  guarantee the timeliness or suitability of a resolution.

If this issue is critical or in any way time sensitive, please raise a ticket through your regular Red Hat support channels to make certain  it receives the proper attention and prioritization to assure a timely resolution. 

For information on how to contact the Red Hat production support team, please visit: https://www.redhat.com/support/process/production/#howto
Comment 5 Kevin Wolf 2013-04-04 09:33:34 EDT
Fixed in upstream commit 1f710495. I've just posted a backport of it.
Comment 12 langfang 2013-07-01 02:01:40 EDT
Reproduce this bug as follow version:

Host:
# uname -r
2.6.32-393.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.356.el6.x86_64

Steps:

1.# qemu-img create -f raw test1.raw 0K
Formatting 'test1.raw', fmt=raw size=0
2.# qemu-img info  test1.raw
image: test1.raw
file format: raw
virtual size: 0 (0 bytes)
disk size: 0
3.# qemu-img convert -f raw -O qcow2 test1.raw test1.qcow2

Resutls:After step3 
Floating point exception (core dumped)

Verify this bug as follow version:
Host
# uname -r 
2.6.32-393.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.377.el6.x86_64


Steps as same as reproduce

Results:After step 3 

no core dump,and error info

# qemu-img convert -f raw -O qcow2 test1.raw test1.qcow2
# qemu-img info  test1.qcow2
image: test1.qcow2
file format: qcow2
virtual size: 0 (0 bytes)
disk size: 132K
cluster_size: 65536


Addtional info:
1)I also  tried to  convert a qcow2 img(0K) to a  raw format img. Work well.


According to above test ,this bug fixed.
Comment 15 errata-xmlrpc 2013-11-21 00:52:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1553.html

Note You need to log in before you can comment on or make changes to this bug.